## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/funding-sources/{id}
cURL

```bash
POST https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c
Accept: application/vnd.dwolla.v1.hal+json
Content-Type: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

{
  "name": "Test Checking - 1234"
}
```

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var fundingSourceUrl =
  "https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c";
var requestBody = {
  name: "Test Checking - 1234",
};

dwolla.post(fundingSourceUrl, requestBody).then((res) => res.body.name); // => "Test Checking - 1234"
```

```
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c'
request_body = {
  'name': 'Test Checking - 1234'
}

funding_source = app_token.post(funding_source_url, request_body)
funding_source.body['name'] # => 'Test Checking - 1234'
```

```
/**
 *  No example for this language yet. Coming soon.
 **/
```

```
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c'
request_body = {
      "name" => "Test Checking - 1234",
}

funding_source = app_token.post "#{funding_source_url}", request_body
funding_source.name # => "Test Checking - 1234"
```

200

400

403

```
{}
```

```
{
  "code": "validationError",
  "message": "Only funding sources of type='bank' can be updated."
}
```

```
{
  "code": "InvalidResourceState",
  "message": "A removed bank cannot be updated."
}
```

#### Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

Accept

enum<string>

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

id

string

required

Funding source unique identifier

#### Body

application/json

Parameters to update a customer funding source

- UpdateUnverifiedBank

- UpdateVerifiedBank

- RemoveBank

Request body for updating information of an unverified bank funding source

name

string

required

Example:

`"Jane Doe’s Checking"`

routingNumber

string

Example:

`"222222226"`

accountNumber

string

Example:

`"123456789"`

bankAccountType

string

Example:

`"checking"`

#### Response

200

application/vnd.dwolla.v1.hal+json

successful operation

The response is of type `object`.
